Subject: [PATCH v2 8/9] ARM: dts: refresh dts file for arch mmp

From: [email-masked] (Mitch Bradley)
Date: Wed, 06 Jun 2012 06:22:57 -1000

On 6/5/2012 7:25 PM, Haojian Zhuang wrote:
> ...
>
>>> mmp2-brownstone.dts is too complex since both apb&    axi are imported.
>>>
>>> Could we only use flat structure in mmp2-brownstone.dts?
>>
>>
>> See http://dev.laptop.org/~wmb/mmp2-devicetree/mmp2-brownstone-flat.dts
>> <http://dev.laptop.org/%7Ewmb/mmp2-devicetree/mmp2-brownstone-flat.dts>
>>
>
> My meaning is mmp2-brownstone-flat.dts + mmp2.dtsi. Is it acceptable?
>

No, you must use mmp2-brownstone.dts with mmp2.dtsi .  The position of 
the uart , twsi, and rtc nodes must agree in both cases.

Do you have a use case where exposing the AXI and APB bus levels is helpful?